Bug 967666 - [abrt] livecd-tools-18.14-1.fc18: optparse.py:1602:print_usage:IOError: [Errno 5] Input/output error
[abrt] livecd-tools-18.14-1.fc18: optparse.py:1602:print_usage:IOError: [Errn...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
abrt_hash:4f4e0998dd7c695e2d9d7bcd391...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 18:58 EDT by satellitgo
Modified: 2013-06-21 19:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-21 19:34:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (854 bytes, text/plain)
2013-05-27 18:58 EDT, satellitgo
no flags Details
File: core_backtrace (519 bytes, text/plain)
2013-05-27 18:58 EDT, satellitgo
no flags Details
File: environ (3.09 KB, text/plain)
2013-05-27 18:58 EDT, satellitgo
no flags Details

  None (edit)
Description satellitgo 2013-05-27 18:58:11 EDT
Version-Release number of selected component:
livecd-tools-18.14-1.fc18

Additional info:
cmdline:        /usr/bin/python -tt /usr/bin/livecd-creator --config=/home/satellit/spin-kickstarts/fedora-livedesktop.ks --fslabel=desktop_Remix_0328 --cache=/var/cache/live --verboselivecd-creator --config=/home/satellit/spin-kickstarts/fedora-live-desktop.ks
dso_list:       python-libs-2.7.3-13.fc18.x86_64
executable:     /usr/bin/livecd-creator
kernel:         3.7.6-201.fc18.x86_64
uid:            0
ureports_counter: 1

Truncated backtrace:
optparse.py:1602:print_usage:IOError: [Errno 5] Input/output error

Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 237, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 131, in main
    options = parse_options(sys.argv[1:])
  File "/usr/bin/livecd-creator", line 100, in parse_options
    (options, args) = parser.parse_args()
  File "/usr/lib64/python2.7/optparse.py", line 1401, in parse_args
    self.error(str(err))
  File "/usr/lib64/python2.7/optparse.py", line 1582, in error
    self.print_usage(sys.stderr)
  File "/usr/lib64/python2.7/optparse.py", line 1602, in print_usage
    print >>file, self.get_usage()
IOError: [Errno 5] Input/output error

Local variables in innermost frame:
self: <optparse.OptionParser instance at 0x1a84998>
file: <open file '<stderr>', mode 'w' at 0x7ff195569270>
Comment 1 satellitgo 2013-05-27 18:58:15 EDT
Created attachment 753687 [details]
File: backtrace
Comment 2 satellitgo 2013-05-27 18:58:18 EDT
Created attachment 753688 [details]
File: core_backtrace
Comment 3 satellitgo 2013-05-27 18:58:21 EDT
Created attachment 753689 [details]
File: environ
Comment 4 Brian Lane 2013-05-28 12:07:23 EDT
Looks like you doubled up your cmdline: --verboselivecd-creator --config=/home/satellit/spin-kickstarts/fedora-live-desktop.ks

but it shouldn't really backtrace.
Comment 5 Brian Lane 2013-06-21 19:34:15 EDT
I can't reproduce this.

Note You need to log in before you can comment on or make changes to this bug.